Subject: Re: [ledbat] Request for a presentation slot at the LEDBAT WG (IETF 77)

From: Murari Sridharan <[email-masked]>
Date: Wed, 3 Mar 2010 18:35:25 +0000

Adding the ledbat mailing list.

Mayutan, I will include you in the agenda.

Thanks

From: Mayutan A. [mailto:[email-masked]]
Sent: Wednesday, March 03, 2010 1:32 AM
To: Murari Sridharan; [email-masked]
Subject: Request for a presentation slot at the LEDBAT WG (IETF 77)

Hi,

I am Mayutan Arumaithurai, a PhD student at the University of Goettingen, Germany. I would like to request for a short presentation slot to present the draft I coauthored along with Xiaoming Fu (University of Goettingen) and K.K. Ramakrishnan (AT&T).

I have already submitted a -00 version:
http://tools.ietf.org/html/draft-mayutan-ledbat-congestionarchitecture-00

The basic idea is to have an architecture framework, to enable the standardization of the various mechanisms of congestion control such as available bandwidth estimation, flow control and congestion detection separately. This could result in pluggable components that could be used in the overall congestion control protocol/s.

Abstract:

   The Low Extra Delay Background Transport (LEDBAT) working group is

   considering protocols for an alternative congestion control protocol

   that enables a delay-insensitive networking application to minimize

   the extra queueing delay it causes to other applications because of

   additional queueing at the bottleneck, when these connections

   carrying traffic for such applications attempt to use the available

   bandwidth.

   This document proposes an architectural framework for LEDBAT

   congestion control mechanisms, based on existing work on congestion

   control protocols and the requirements of the LEDBAT working group.

   The architectural framework consists of a LEDBAT-congestion control

   (LEDBAT-CC) suite that provides flexibility in utilizing different

   components for providing congestion control for transport connections

   carrying delay-insensitive traffic.  The LEDBAT-CC suite of protocols

   is envisioned to support the multiple alternative mechanisms for

   bandwidth estimation, congestion detection and indication and end-

   system flow control to comprise a network friendly congestion

   avoidance protocol.

   This document is inspired by the need to standardize the various

   components that constitute the network friendly congestion control

   protocol to avoid having to individually standardize a multitude of

   distinct and monolithic solutions.

Feedback is welcome,
Mayutan Arumaithurai